<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="StateSettings" targetNamespace="http://tempuri.org/StateSettings.xsd" elementFormDefault="qualified" xmlns="http://tempuri.org/StateSettings.xsd" xmlns:mstns="http://tempuri.org/StateSettings.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="StateSettings">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="filterType" type="xs:int" default="3" />
        <xs:element name="filterOrder" type="xs:int" default="400" />
        <xs:element name="cwShift" type="xs:int" default="600" />
        <xs:element name="useAgc" type="xs:boolean" default="true" />
        <xs:element name="agcThreshold" type="xs:float" default="-100" />
        <xs:element name="agcDecay" type="xs:float" default="100" />
        <xs:element name="agcSlope" type="xs:float" default="0" />
        <xs:element name="agcHang" type="xs:boolean" default="true" />
        <xs:element name="detectorType" type="xs:int" default="2" />
        <xs:element name="squelchEnabled" type="xs:boolean" default="false" />
        <xs:element name="squelchThreshold" type="xs:int" default="50" />
        <xs:element name="filterBandwidth" type="xs:int" default="-1" />
        <xs:element name="frequencyShift" type="xs:long" default="0" />
        <xs:element name="frequencyShiftEnabled" type="xs:boolean" default="false" />
        <xs:element name="stepSize" type="xs:int" default="-1" />
        <xs:element name="snapToGrid" type="xs:boolean" default="false" />
        <xs:element name="swapIQ" type="xs:boolean" default="false" />
        <xs:element name="correctIQ" type="xs:boolean" default="false" />
        <xs:element name="fmStereo" type="xs:boolean" default="false" />
        <xs:element name="filterAudio" type="xs:boolean" default="true" />
        <xs:element name="audioGain" type="xs:float" default="30" />
        <xs:element name="latency" type="xs:int" default="100" />
        <xs:element name="fftBinCount" type="xs:int" default="2048" />
        <xs:element name="fftWindowType" type="xs:int" default="3" />
        <xs:element name="fftInterval" type="xs:double" default="25" />
        <xs:element name="sampleRate" type="xs:int" default="48000" />
        <xs:element name="demodFrequency" type="xs:long" nillable="true" />
        <xs:element name="simulatedDemodFrequency" type="xs:long" nillable="true" />
        <xs:element name="iqFilename" type="xs:string" />
        <xs:element name="SharpTimeKind" type="xs:string" default="local" />
        <xs:element name="iqSource" type="xs:string" />
        <xs:element name="isPlaying" type="xs:boolean" default="false" />
        <xs:element name="tunerFrequency" type="xs:long" nillable="true" />
        <xs:element name="inputDevice" type="xs:string" />
        <xs:element name="outputDevice" type="xs:string" />
        <xs:element name="fftOffset" type="xs:float" default="-40" />
        <xs:element name="minOutputSampleRate" type="xs:int" default="32000" />
        <xs:element name="automaticIQBalancePasses" type="xs:int" default="5" />
        <xs:element name="deemphasisTime" type="xs:float" default="50" />
        <xs:element name="pllPhaseAdjM" type="xs:float" default="0" />
        <xs:element name="pllPhaseAdjB" type="xs:float" default="-1.75" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>
